| Opcode        | Instruction | Op/En | 64-Bit Mode | Compat/Leg Mode | Description                                                                                |
| ------------- | ----------- | ----- | ----------- | --------------- | ------------------------------------------------------------------------------------------ |
| F6 /6         | DIV r/m8    | M     | Valid       | Valid           | Unsigned divide AX by r/m8, with result stored in AL := Quotient, AH := Remainder.         |
| REX + F6 /6   | DIV r/m8\*  | M     | Valid       | N.E.            | Unsigned divide AX by r/m8, with result stored in AL := Quotient, AH := Remainder.         |
| F7 /6         | DIV r/m16   | M     | Valid       | Valid           | Unsigned divide DX:AX by r/m16, with result stored in AX := Quotient, DX := Remainder.     |
| F7 /6         | DIV r/m32   | M     | Valid       | Valid           | Unsigned divide EDX:EAX by r/m32, with result stored in EAX := Quotient, EDX := Remainder. |
| REX.W + F7 /6 | DIV r/m64   | M     | Valid       | N.E.            | Unsigned divide RDX:RAX by r/m64, with result stored in RAX := Quotient, RDX := Remainder. |

> \*In 64-bit mode, r/m8 can not be encoded to access the following byte registers if a REX prefix is used: AH, BH, CH, DH.